Installation Media - Bug #1559

Errors messages while partitioning attempt
2017-12-07 12:23 PM - Anonymous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Hello,

| can't pass the first installation step. At every partitioning attempt, it doest nothing but showing this message:

@Error: Could not stat device mklabel - No such file or directory.
Error: Could not stat device mkpart - No such file or directory.
Error: Could not stat device set - No such file or directory.

Usage:
fdisk [options] <disk> change partition table
fdisk [options] -1 [<disk>] list partition table(s)

Display or manipulate a disk partition table.

Options:
-b, —--sector-size <size> physical and logical sector size
-B, ——-protect-boot don't erase bootbits when creating a new label
-c, ——compatibility[=<mode>] mode is 'dos' or 'nondos' (default)
-L, —-color[=<when>] colorize output (auto, always or never)
colors are enabled by default
=i, ==list display partitions end exit
-0, ——output <list> output columns
-t, —--type <type> recognize specified partition table type only
-u, ——units[=<unit>] display units: 'cylinders' or 'sectors' (default)
-s, —-—getsz display device size in 512-byte sectors [DEPRECATED]
—-—bytes print SIZE in bytes rather than in human readable format
-w, —-wipe <mode> wipe signatures (auto, always or never)
-C, —-cylinders <number> specify the number of cylinders
—-H, —-heads <number> specify the number of heads
-S, ——sectors <number> specify the number of sectors per track
-h, --help display this help and exit
-V, —--version output version information and exit

Available columns (for -o):
gpt: Device Start End Sectors Size Type Type-UUID Attrs Name UUID
dos: Device Start End Sectors Cylinders Size Type Id Attrs Boot End-C/H/S
Start-C/H/S
bsd: Slice Start End Sectors Cylinders Size Type Bsize Cpg Fsize
sgi: Device Start End Sectors Cylinders Size Type Id Attrs
sun: Device Start End Sectors Cylinders Size Type Id Flags

For more details see fdisk(8).

mkswap: cannot open 1: No such file or directory
mke2fs 1.43.3 (04-Sep-2016)

The file 2 does not exist and no size was specified.
mount: special device 2 does not exist(@

History

#1 - 2017-12-07 11:04 PM - bill-auger

you should always include the command line that you used - otherwise the output is not very meaningful - but it is vaguely telling you that you typed
the command wrong - what did you actually do to make this error happen? in other words, what might i try to do if i wanted to see this error on my
computer?

it sounds like you are doing a manual install, and if so, then this is not a bug with the installation media and i would like to move or close this issue - if
anything this could be a documentation issue but you have not mentioned where you are reading this "first installation step” - i dont think that any of
the parabola documentation recommends using fdisk - so i would not even know where to begin with this - are you talking about the installer script on
the desktop of the mate ISO or openrc/LXDE ISO?

if you are doing a manual install, this sounds like a general help question would probably be a better question for the 'assist' mailing list

#2 - 2017-12-07 11:07 PM - bill-auger
- Status changed from open to info needed

- Description updated

#3 - 2017-12-11 10:02 AM - oaken-source

- Assignee set to bill-auger

#4 - 2018-06-29 05:52 AM - bill-auger

- Status changed from info needed to not-a-bug
